summaryrefslogtreecommitdiffabout
Unidiff
Diffstat (more/less context) (ignore whitespace changes)
-rw-r--r--NEWS14
-rw-r--r--README27
2 files changed, 25 insertions, 16 deletions
diff --git a/NEWS b/NEWS
index a17e5e6..1301b03 100644
--- a/NEWS
+++ b/NEWS
@@ -1,18 +1,18 @@
1vmod-sql -- history of user-visible changes. 2016-01-24 1vmod-sql -- history of user-visible changes. 2017-08-06
2Copyright (C) 2013-2016 Sergey Poznyakoff 2Copyright (C) 2013-2017 Sergey Poznyakoff
3See the end of file for copying conditions. 3See the end of file for copying conditions.
4 4
5Please send vmod-sql bug reports to <gray@gnu.org> 5Please send vmod-sql bug reports to <gray@gnu.org>
6 6
7 7
8Version 1.0.90-4.1.0 (git) 8Version 1.0.91 (git)
9 9
10* Support for Varnish 4.1 10* Support for Varnish 4.1
11 11
12* Versioning changes 12* The --with-varnish-source option has been withdrawn
13 13
14Starting with this release, the version number includes version 14The configure script relies on pkg-config to determine the location of
15of Varnish API the release was designed for. 15Varnish header files and libraries.
16 16
17 17
18Version 1.0, 2013-10-19 18Version 1.0, 2013-10-19
@@ -22,7 +22,7 @@ Initial release
22========================================================================= 22=========================================================================
23Copyright information: 23Copyright information:
24 24
25Copyright (C) 2016 Sergey Poznyakoff 25Copyright (C) 2017 Sergey Poznyakoff
26 26
27 Permission is granted to anyone to make or distribute verbatim copies 27 Permission is granted to anyone to make or distribute verbatim copies
28 of this document as received, in any medium, provided that the 28 of this document as received, in any medium, provided that the
diff --git a/README b/README
index 276eb74..3f96b03 100644
--- a/README
+++ b/README
@@ -17,26 +17,35 @@ MySQL and PostgreSQL databases from VCL scripts.
17 17
18* Installation 18* Installation
19 19
20In order to compile the package you need to have Varnish source tree. 20In order to compile the package you need to have the varnishd and
21At least Varnish 3.0.1 is required. Supposing that the varnish source tree 21varnishapi packages installed.
22is available under /usr/src/varnish-3.0.1, run:
23 22
24 ./configure --with-varnish-source=/usr/src/varnish-3.0.1 23Supposing that condition is met, run:
25 24
26The `--with-varnish-source' option is mandatory: it tells configure 25 ./configure
27where Varnish sources reside. 26
27It should be able to automatically find the necessary components. In case
28it doesn't, tweak the configuration variables as necessary. The most
29important one is PKG_CONFIG_PATH, which contains a path (in the UNIX sense)
30where the .pc files are located. It should contain a directory where the
31'varnishapi.pc' file lives. Example usage:
32
33 ./configure PKG_CONFIG_PATH=/usr/local/varnish/lib/pkgconfig:$PKG_CONFIG_PATH
34
35Please read the file INSTALL for a detailed discussion of available variables
36and command line options.
28 37
29Once configured, do 38Once configured, do
30 39
31 make 40 make
32 41
33This will build the module. After this step you can optionally run 42This will build the module. After this step you can optionally run
34'make test' to test the package. 43'make test' to test the package.
35 44
36Finally, run the following command as root: 45Finally, run the following command as root:
37
38 make install
39 46
47 make install
48
40* Documentation 49* Documentation
41 50
42The manual page vmod-sql(3) will be available after successful install. 51The manual page vmod-sql(3) will be available after successful install.

Return to:

Send suggestions and report system problems to the System administrator.